Bug 735233 - Internal Mic Volume set to 0 for Conexant CX20561 (Hermosa)
Summary: Internal Mic Volume set to 0 for Conexant CX20561 (Hermosa)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 21:02 UTC by Dylan R. Semler
Modified: 2013-02-13 15:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 15:33:55 UTC


Attachments (Terms of Use)
output of alsa-info.sh with "internal" mixer level set to 0 (20.04 KB, text/plain)
2011-09-01 21:02 UTC, Dylan R. Semler
no flags Details
output of alsa-info.sh with "internal" mixer level set to 72 (20.04 KB, text/plain)
2011-09-01 21:03 UTC, Dylan R. Semler
no flags Details

Description Dylan R. Semler 2011-09-01 21:02:09 UTC
Created attachment 521099 [details]
output of alsa-info.sh with "internal" mixer level set to 0

Description of problem:
The volume level for the internal microphone is set to 0 for a Conexant CX20561 (Hermosa) audio device on a Lenovo X200.  The result is that the internal microphone captures audio at very low volumes, even with the PulseAudio mic volume setting at the maximum level.

Appropriate volume levels can be achieved by going through alsamixer, switching to the "HDA Intel" device by pressing F6, and increasing the "Internal" mixer level.

The default level of the internal microphone should be set to an appropriate value, not 0.



Version-Release number of selected component (if applicable):
kernel-2.6.40-4.fc15.x86_64
alsa-tools-firmware-1.0.24.1-2.fc15.x86_64
alsa-lib-1.0.24-2.fc15.x86_64
alsa-lib-1.0.24-2.fc15.i686
alsa-firmware-1.0.24.1-2.fc15.noarch
alsa-plugins-pulseaudio-1.0.24-2.fc15.x86_64
alsa-utils-1.0.24.1-3.fc15.x86_64


How reproducible:
Always

Steps to Reproduce:
1.  Boot Computer with Conexant CX20561 (Hermosa) audio device (e.g. Lenovo X200)
2.  Open Sound settings from "System Settings" window.  
3.  Navigate to "Input" tab.
4.  Set Input volume to maximum value
5.  Observe that a maximum of only a couple bars of the input level ever become filled when talking into the microphone
6.  Open alsamixer
7.  Press F6 and switch soundcard to "HDA Intel"
8.  Switch to the "Internal" mixer and raise the volume to an appropriate level
9.  View the Sound settings again and observe acceptable input levels.

Actual results:
By default, the internal microphone appears not to work or appears to be very insensitive.

Expected results:
By default, the internal microphone should work at appropriate volume levels.


Additional info:
This issue is reported on the Linux bug tracker[1] as well as the Red Hat Enterprise Bugzilla[2]

[1] https://bugzilla.kernel.org/show_bug.cgi?id=29672
[2] https://bugzilla.redhat.com/show_bug.cgi?id=726344

Comment 1 Dylan R. Semler 2011-09-01 21:03:17 UTC
Created attachment 521100 [details]
output of alsa-info.sh with "internal" mixer level set to 72

Comment 2 stephan.schiffleithner 2011-10-10 10:38:39 UTC
Same behaviour in F16-beta

Comment 3 Giuseppe Castagna 2011-11-20 15:19:42 UTC
I confirm it on F16 final and Thinkpad X301. Very annoying to be obliged to pass through alsamix every time I log in (since the internal mic is muted at every login). Anybody knows how to save the setting, at least?

Comment 4 stephan.schiffleithner 2011-11-20 21:31:44 UTC
I wrote a little shell script that simply runs amixer with parameters. Works fine for me but definitely not a solution. I don't know the exact parameters anymore but you'll definitely find the information you need in the ALSA-Wiki.

Comment 5 Josh Boyer 2012-06-06 19:10:45 UTC
Is this still an issue in the 3.3 kernels in F16?

Comment 6 Yaroslav 2012-06-06 19:17:53 UTC
Yes, the issue still persists with kernel 3.3.7-1.fc16.x86_64.

Comment 7 stephan.schiffleithner 2012-06-08 13:35:54 UTC
...and also in 32-Bit: 3.3.7-1.fc16.i686.PAE

Comment 8 Yaroslav 2012-08-10 01:24:05 UTC
The same happens here: Fedora 16 kernel 3.4.7-1.fc16.x86_64. Every time I boot my machine I have to manually invoke 'alsamixer -c0 -Vcapture' to increase internal mic volume

Comment 9 Dave Jones 2012-10-23 15:27:13 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 10 stephan.schiffleithner 2012-10-24 06:05:41 UTC
Just did the Kernel update and rebooted two times. No change unfortunately: The internal mic keeps being muted also with Kernel 3.6.2-1.fc16.i686.PAE

Comment 11 Fedora End Of Life 2013-01-16 14:30:26 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Fedora End Of Life 2013-02-13 15:33:58 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.